Package writer2latex.bibtex

# Class BibTeXEntryMap

java.lang.Object
writer2latex.bibtex.BibTeXEntryMap

public class BibTeXEntryMap extends Object
This class provides static methods to map the the entry types of an ODF bibliography mark to and from BibTeX field names

## Constructor Summary

Constructors
Constructor
Description
`BibTeXEntryMap()`

## Method Summary

Modifier and Type
Method
Description
`static final BibMark.EntryType`
`getEntryType(String sFieldName)`
Return entry type corresponding to a BibTeX field
`static final String`
`getFieldName(BibMark.EntryType entryType)`
Return BibTeX field name corresponding to and entry type

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BibTeXEntryMap

public BibTeXEntryMap()

## Method Details

### getFieldName

public static final String getFieldName(BibMark.EntryType entryType)
Return BibTeX field name corresponding to and entry type

Parameters:
  `entryType` - the entry type
Returns:
  the BibTeX field name, or null if there is no corresponding BibTeX field

### getEntryType

public static final BibMark.EntryType getEntryType(String sFieldName)
Return entry type corresponding to a BibTeX field

Parameters:
  `sFieldName` - the BibTeX field name
Returns:
  the entry type, or null if there is no corresponding entry type